package org.ow2.jonas.admin.autostart.vo.configuration;

import java.io.Serializable;

import org.granite.messaging.amf.io.util.externalizer.DefaultExternalizer;
import org.granite.messaging.amf.io.util.externalizer.annotation.ExternalizedBean;

@ExternalizedBean(type = DefaultExternalizer.class)
public class AdvancedJDBCConfigurationVO implements Serializable {

    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = 14L;
    public String maxAge;
    public String maxOpenTime;
    public String checkingLevel;
    public String minPool;
    public String maxPool;
    public String maxWaitTime;
    public String maxWaiters;
    public String pstmtPoolMin;
    public String samplingPeriod;
    public String adjustPeriod;
    public String test;

    public AdvancedJDBCConfigurationVO() {
    }
}
