package org.ow2.jonas.admin.autostart.vo.configuration;

import org.granite.messaging.amf.io.util.externalizer.DefaultExternalizer;
import org.granite.messaging.amf.io.util.externalizer.annotation.ExternalizedBean;

import java.io.Serializable;
import java.util.ArrayList;

@ExternalizedBean(type = DefaultExternalizer.class)
public class JmsVO implements Serializable {

    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = 52L;
    public String  jmsPort;
    public ArrayList<String>  queueList;
    public ArrayList<String>  topicList;
    public JmsVO() {
        queueList = new ArrayList<String> ();
        topicList = new ArrayList<String> ();
    }
}
