package org.ow2.jonas.admin.autostart.vo.configuration;

import org.granite.messaging.amf.io.util.externalizer.DefaultExternalizer;
import org.granite.messaging.amf.io.util.externalizer.annotation.ExternalizedBean;

import java.io.Serializable;
import java.util.ArrayList;

@ExternalizedBean(type = DefaultExternalizer.class)
public class ConfigurationVO implements Serializable {

    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = 22L;
    public ServicesVO servicesVo;
    public ProtocolsVO protocolsVo;
    public WebContainerVO webContainerVo;
    public JmsVO jmsVo;
    public HsqlDbVO hsqlDbVo;
    public ArrayList<JDBCConfigurationVO> jdbcConfigurationVO;

    public ConfigurationVO() {
        servicesVo = new ServicesVO();
        protocolsVo = new ProtocolsVO();
        webContainerVo = new WebContainerVO();
        jmsVo = new JmsVO();
        hsqlDbVo = new HsqlDbVO();
        jdbcConfigurationVO = new ArrayList<JDBCConfigurationVO>();
    }
}
