package org.ow2.jonas.admin.autostart.vo.configuration;

import java.io.Serializable;

import org.granite.messaging.amf.io.util.externalizer.DefaultExternalizer;
import org.granite.messaging.amf.io.util.externalizer.annotation.ExternalizedBean;

@ExternalizedBean(type = DefaultExternalizer.class)
public class JDBCConfigurationVO implements Serializable {


    /**
     * Serial Version UID.
     */
    private static final long serialVersionUID = 12L;
    public String driverJarFile;
	public String driverName;
        public String dbmsName;
	public String rarName;
	public String rarLink;
	public String datasourceName;
	public String jndiName;
	public String dsClassName;
	public String dsMapper;
	public String dsUrl;
	public String dsUser;
	public String dsUserPasswd;
	public AdvancedJDBCConfigurationVO advancedJDBCConfiguration;

    public JDBCConfigurationVO() {
        advancedJDBCConfiguration = new AdvancedJDBCConfigurationVO();
    }
}
